clc;
clear all;
close all;

tic
%% vstupni obrazy pro optimalizaci
% vstupni obraz
% obr1 = rgb2gray(imread('obrazek.jpg'));
% 
% obr2 = rgb2gray(imread('obraz2.jpg'));
% cil = obr2;

 obr1 = rgb2gray(imread('oko.jpg'));
load('oko.mat')

parametr0 = [0 0]; % pocatecni hodnota

[x,fval,exitFlag,output] = simulannealbnd(@(parametr) TransPodobn(obr1,obr2,parametr),...
    parametr0, [-10 -10],[10 10]);     % volani simul. zihani    

% x0 = [0 0];
% [x,fval, exitFlag,output] = simulannealbnd(@rastriginsfcn,x0)



toc




